#if !defined(AFX_LEVELPROPDLG_H__2E667CE4_E169_4B07_B232_CBACCEDF3620__INCLUDED_)
#define AFX_LEVELPROPDLG_H__2E667CE4_E169_4B07_B232_CBACCEDF3620__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// LevelPropDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CLevelPropDlg dialog
#include "resource.h"
#include <AplGuiEx.h>

class CLevelPropDlg : public CaplTranslateDialog
{
// Construction
protected:
	CaplReportMgr *m_ReportMgr;
public:
	CLevelPropDlg(CaplReportMgr *ReportMgr, CWnd* pParent = NULL);   // standard constructor

	CSectionLevel*	m_pLevel;
	CSectionLevel*	m_pLevelPrototipe;
	CSectionLevelArray	*m_pLevels;
	int m_space_para;
// Dialog Data
	//{{AFX_DATA(CLevelPropDlg)
	enum { IDD = IDD_LEVEL_PROP_DLG };
	CaplStatic	m_RowColorCtrl;
	CButton	m_NSERONPCtrl;
	CaplStaticImage	m_ImageCtrl;
	CaplButton	m_space2_btn;
	CaplButton	m_space15_btn;
	CaplButton	m_space1_btn;
	CaplButton	m_ok_btn;
	CaplButton	m_cancel_btn;
	CString	m_name;
	BOOL	m_not_show_if_empty;
	double	m_height;
	BOOL	m_bBreakString;
	BOOL	m_bAutoCalcHeight;
	BOOL	m_bUseMultipleHeight;
	int		m_iMinRows;
	BOOL	m_bUseRowColor;
	//}}AFX_DATA

	COLORREF m_row_color;
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLevelPropDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	int GetSpacePara();
	void SetSpaceState(int space_para);

	// Generated message map functions
	//{{AFX_MSG(CLevelPropDlg)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnAutoCalcHeight();
	afx_msg void OnBreakString();
	afx_msg void OnUseMultipleHeight();
	afx_msg void OnSpace1();
	afx_msg void OnSpace15();
	afx_msg void OnSpace2();
	afx_msg void OnChangeMinRows();
	afx_msg void OnRowColor();
	afx_msg void OnUseRowColor();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LEVELPROPDLG_H__2E667CE4_E169_4B07_B232_CBACCEDF3620__INCLUDED_)
